VERSION 5.00
Object = "{0D452EE1-E08F-101A-852E-02608C4D0BB4}#2.0#0"; "FM20.DLL"
Begin VB.Form FrmEliminarEoS 
   BorderStyle     =   3  'Fixed Dialog
   Caption         =   "Eliminar Variable de EoS"
   ClientHeight    =   4605
   ClientLeft      =   45
   ClientTop       =   330
   ClientWidth     =   4410
   LinkTopic       =   "Form1"
   LockControls    =   -1  'True
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   4605
   ScaleWidth      =   4410
   ShowInTaskbar   =   0   'False
   StartUpPosition =   3  'Windows Default
   Begin VB.Frame Frame1 
      Height          =   30
      Left            =   60
      TabIndex        =   2
      Top             =   4020
      Width           =   4305
   End
   Begin VB.ListBox LstVariables 
      BeginProperty Font 
         Name            =   "Verdana"
         Size            =   8.25
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   1230
      Left            =   600
      TabIndex        =   0
      Top             =   480
      Width           =   3690
   End
   Begin MSForms.CommandButton BotCancelar 
      Cancel          =   -1  'True
      Height          =   390
      Left            =   3300
      TabIndex        =   5
      Top             =   4155
      Width           =   990
      Caption         =   "Cancelar"
      Size            =   "1746;688"
      Accelerator     =   67
      FontName        =   "Verdana"
      FontHeight      =   165
      FontCharSet     =   0
      FontPitchAndFamily=   2
      ParagraphAlign  =   3
   End
   Begin MSForms.CommandButton BotAceptar 
      Default         =   -1  'True
      Height          =   390
      Left            =   2295
      TabIndex        =   4
      Top             =   4155
      Width           =   990
      Caption         =   "Aceptar"
      Size            =   "1746;688"
      Accelerator     =   65
      FontName        =   "Verdana"
      FontHeight      =   165
      FontCharSet     =   0
      FontPitchAndFamily=   2
      ParagraphAlign  =   3
   End
   Begin MSForms.Label LblAdv 
      Height          =   2055
      Left            =   570
      TabIndex        =   3
      Top             =   1860
      Width           =   3645
      Caption         =   "Atencin!:"
      Size            =   "6429;3625"
      FontName        =   "Verdana"
      FontHeight      =   165
      FontCharSet     =   0
      FontPitchAndFamily=   2
   End
   Begin VB.Image Imagen2 
      Height          =   240
      Left            =   270
      Picture         =   "FrmEliminarEoS.frx":0000
      Top             =   1830
      Width           =   240
   End
   Begin VB.Image Imagen1 
      Height          =   480
      Left            =   90
      Picture         =   "FrmEliminarEoS.frx":014A
      Top             =   90
      Width           =   480
   End
   Begin MSForms.Label LblInf 
      Height          =   225
      Left            =   540
      TabIndex        =   1
      Top             =   180
      Width           =   3825
      Caption         =   "Qu variable desea eliminar del sistema?:"
      Size            =   "6747;397"
      FontName        =   "Verdana"
      FontHeight      =   165
      FontCharSet     =   0
      FontPitchAndFamily=   2
      ParagraphAlign  =   3
   End
End
Attribute VB_Name = "FrmEliminarEoS"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

'MBITO LOCAL AL FORMULARIO
Private EoS As ETEOS
Private IdEoS As Integer

'**************************************************************************************************
'   PROCEDIMIENTO : EliminarVariable()
'**************************************************************************************************
Private Sub EliminarVariable()
  
  'Si estn cargadas las ventanas se procede a su descarga
  If EoS = E Then
    DesCargarVentanaEntrada IdEoS
  Else
    DesCargarVentanaSalida IdEoS
  End If
  'Actualizacin de la B.Conocimiento
  EliminarTerminosQTenganVariable EoS, IdEoS
  
  If EoS = E Then
    EliminarEntradaMatriz SistActual.Entrada(), IdEoS, SuprimidaEntrada
    HayEntradaEliminada = True
  Else
    EliminarSalidaMatriz SistActual.Salida(), IdEoS, SuprimidaSalida
    HaySalidaEliminada = True
  End If
  ArchivoActual.Modificado = True
  FrmGeneral.CargarArbolDatosGenerales
  
End Sub

                                            '===========================================================
                                            '                PROCEDIMIENTOS DE EVENTO
                                            '===========================================================
'-------------------------------------------------
' EVENTOS EN FORMULARIO
'-------------------------------------------------
Private Sub Form_Load()
  
  Dim I As Integer
  Dim Vble As String
  
  If GestionEoS.EliminarEntrada Then
    EoS = E
  Else
    EoS = S
  End If
  
  FrmPosicionar Me, Centrado
  LblAdv.Caption = "Atencin!: La implicacin derivada tras la eliminacin de una variable del sistema es:" & vbCrLf & vbCrLf & _
                   "  - Todos aquellos trminos que hagan mencin a la correspondiente variable a eliminar " & _
                   "sern eliminados y NO podrn ser recuperados si opta por recuperar" & vbCrLf & "la variable eliminada."
  
  If EoS = E Then
    FrmEliminarEoS.Caption = " Eliminar Variable de Entrada"
    Me.Icon = LoadResPicture(ICO_ELIMINAR_ENTRADA, vbResIcon)
    
    With LstVariables 'Carga en el control ListBox con las variables de entrada disponibles
      .Clear
      For I = 0 To NEntradas - 1
        Vble = "E[" & I & "]: " & UCase$(Trim$(SistActual.Entrada(I).Nombre))
        .AddItem Vble
      Next I
    End With
    LstVariables.ListIndex = 0
      
    
  Else
    FrmEliminarEoS.Caption = " Eliminar Variable de Salida"
    Me.Icon = LoadResPicture(ICO_ELIMINAR_SALIDA, vbResIcon)

    With LstVariables 'Carga en el control ListBox con las variables de salida disponibles
      .Clear
      For I = 0 To NSalidas - 1
        Vble = "S[" & I & "]: " & UCase$(Trim$(SistActual.Salida(I).Nombre))
        .AddItem Vble
      Next I
    End With
    LstVariables.ListIndex = 0
       
  End If
  SendKeys "{Down}+{Up}"
  
End Sub

Private Sub Form_Unload(Cancel As Integer)
  Set FrmEliminarEoS = Nothing
  
End Sub

'-------------------------------------------------
' EVENTOS EN BOTONES
'-------------------------------------------------
Private Sub BotAceptar_Click()
  EliminarVariable
  Unload Me
End Sub

Private Sub BotCancelar_Click()
  Unload Me
End Sub


Private Sub LstVariables_Click()
  IdEoS = LstVariables.ListIndex
End Sub


