VERSION 5.00
Object = "{831FDD16-0C5C-11D2-A9FC-0000F8754DA1}#2.0#0"; "MSCOMCTL.OCX"
Begin VB.Form FrmReglaEliminar 
   BorderStyle     =   3  'Fixed Dialog
   Caption         =   " Eliminar regla"
   ClientHeight    =   2490
   ClientLeft      =   45
   ClientTop       =   1470
   ClientWidth     =   8820
   ClipControls    =   0   'False
   Icon            =   "FrmReglaEliminar.frx":0000
   LinkTopic       =   "Form1"
   LockControls    =   -1  'True
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   2490
   ScaleWidth      =   8820
   ShowInTaskbar   =   0   'False
   Begin VB.CommandButton BotCancelar 
      Caption         =   "&Cancelar"
      Default         =   -1  'True
      Height          =   375
      Left            =   4643
      TabIndex        =   2
      Top             =   2040
      Width           =   1215
   End
   Begin VB.CommandButton BotAceptar 
      Caption         =   "&Aceptar"
      Enabled         =   0   'False
      Height          =   375
      Left            =   2963
      TabIndex        =   1
      Top             =   2040
      Width           =   1215
   End
   Begin MSComctlLib.ImageList Iconos 
      Left            =   1560
      Top             =   360
      _ExtentX        =   1005
      _ExtentY        =   1005
      BackColor       =   -2147483643
      ImageWidth      =   16
      ImageHeight     =   16
      MaskColor       =   12632256
      _Version        =   393216
      BeginProperty Images {2C247F25-8591-11D1-B16A-00C0F0283628} 
         NumListImages   =   4
         BeginProperty ListImage1 {2C247F27-8591-11D1-B16A-00C0F0283628} 
            Picture         =   "FrmReglaEliminar.frx":014A
            Key             =   "Pasiva"
         EndProperty
         BeginProperty ListImage2 {2C247F27-8591-11D1-B16A-00C0F0283628} 
            Picture         =   "FrmReglaEliminar.frx":02A6
            Key             =   "NADA"
         EndProperty
         BeginProperty ListImage3 {2C247F27-8591-11D1-B16A-00C0F0283628} 
            Picture         =   "FrmReglaEliminar.frx":0402
            Key             =   "Activa"
         EndProperty
         BeginProperty ListImage4 {2C247F27-8591-11D1-B16A-00C0F0283628} 
            Picture         =   "FrmReglaEliminar.frx":055E
            Key             =   "Semi-Activa"
         EndProperty
      EndProperty
   End
   Begin MSComctlLib.ListView LstReglas 
      CausesValidation=   0   'False
      Height          =   1905
      Left            =   38
      TabIndex        =   0
      Top             =   30
      Width           =   8745
      _ExtentX        =   15425
      _ExtentY        =   3360
      View            =   3
      LabelEdit       =   1
      LabelWrap       =   -1  'True
      HideSelection   =   -1  'True
      Checkboxes      =   -1  'True
      _Version        =   393217
      Icons           =   "Iconos"
      SmallIcons      =   "Iconos"
      ColHdrIcons     =   "Iconos"
      ForeColor       =   -2147483640
      BackColor       =   -2147483643
      BorderStyle     =   1
      Appearance      =   1
      BeginProperty Font {0BE35203-8F91-11CE-9DE3-00AA004BB851} 
         Name            =   "Small Fonts"
         Size            =   6.75
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      NumItems        =   0
   End
End
Attribute VB_Name = "FrmReglaEliminar"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

'**************************************************************************************************
'   FUNCIN: IdRegla()
'**************************************************************************************************
Private Function IdRegla() As Integer
  IdRegla = Right(LstReglas.SelectedItem.Key, Len(LstReglas.SelectedItem.Key) - 1)
End Function

'**************************************************************************************************
'   PROCEDIMIENTO: ActualizarReglas()
'**************************************************************************************************
Private Sub ActualizarReglas()
  Dim i As Integer
  Dim Estado As String, Expresion As String
  
  With LstReglas.ListItems
    .Clear
    For i = 0 To NReglas - 1
      Expresion = ExpresionRegla(i)
      Estado = QEstado(Regla, i)
      .Add , "R" & i, "R[" & i & "]: " & Expresion, Estado, Estado
    Next i
  End With
  
End Sub

                                            '===========================================================
                                            '                PROCEDIMIENTOS DE EVENTO
                                            '===========================================================

Private Sub Form_Load()
  FrmPosicionar Me, Centrado
  
  'Se aade una columna para que se pueda visualizar en modo report (lista) aunque esta se oculte.
  With LstReglas.ColumnHeaders
   .Clear
   .Add , "REGLAS", "Qu regla desea eliminar?", LstReglas.Width, , "NADA"
  End With
  ActualizarReglas
  
End Sub

Private Sub Form_Unload(Cancel As Integer)
  Set FrmReglaEliminar = Nothing
  
End Sub

Private Sub LstReglas_ItemCheck(ByVal Item As MSComctlLib.ListItem)
  Dim Indice As Integer
  Dim Tipo As ListItem
  
  BotAceptar.Enabled = True
  Item.Selected = True
  Item.Checked = True
  Set LstReglas.SelectedItem = Item
  LstReglas.SelectedItem.Bold = True
  Indice = Item.Index
  
  'Se recorre cada elemento y aquel que no sea el seleccionado se establece a False su prop. Checked.
  For Each Tipo In LstReglas.ListItems
    If Tipo.Index <> Indice Then
      Tipo.Checked = False
      Tipo.Bold = False
    End If
  Next Tipo
  
End Sub

Private Sub LstReglas_ItemClick(ByVal Item As MSComctlLib.ListItem)
  LstReglas_ItemCheck Item
  
End Sub

Private Sub BotAceptar_Click()
  FrmReglas.RegActual = IdRegla
  HayQEliminarRegla = True
  Unload Me

End Sub

Private Sub BotCancelar_Click()
  HayQEliminarRegla = False
  Unload Me
  
End Sub


