VERSION 5.00
Begin VB.Form FrmSecuenciaSalida 
   BorderStyle     =   3  'Fixed Dialog
   Caption         =   " Secuencia de datos de salida"
   ClientHeight    =   3450
   ClientLeft      =   45
   ClientTop       =   330
   ClientWidth     =   8700
   Icon            =   "FrmSecuenciaSalida.frx":0000
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   3450
   ScaleWidth      =   8700
   ShowInTaskbar   =   0   'False
   StartUpPosition =   3  'Windows Default
   Begin VB.Frame FrmValores 
      Caption         =   " Lista de valores: "
      BeginProperty Font 
         Name            =   "Verdana"
         Size            =   8.25
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   3375
      Left            =   6720
      TabIndex        =   6
      Top             =   30
      Width           =   1935
      Begin VB.TextBox TxtValor 
         Alignment       =   2  'Center
         Appearance      =   0  'Flat
         BackColor       =   &H8000000F&
         BeginProperty Font 
            Name            =   "Verdana"
            Size            =   8.25
            Charset         =   0
            Weight          =   400
            Underline       =   0   'False
            Italic          =   0   'False
            Strikethrough   =   0   'False
         EndProperty
         Height          =   345
         Left            =   150
         Locked          =   -1  'True
         MaxLength       =   40
         TabIndex        =   8
         Top             =   2940
         Width           =   1650
      End
      Begin VB.ListBox LstValores 
         BeginProperty Font 
            Name            =   "Verdana"
            Size            =   8.25
            Charset         =   0
            Weight          =   400
            Underline       =   0   'False
            Italic          =   0   'False
            Strikethrough   =   0   'False
         EndProperty
         Height          =   2595
         Left            =   150
         TabIndex        =   7
         Top             =   270
         Width           =   1650
      End
   End
   Begin VB.PictureBox PBoxGrafico 
      BackColor       =   &H00000000&
      ClipControls    =   0   'False
      Height          =   3375
      Left            =   37
      ScaleHeight     =   3315
      ScaleWidth      =   6600
      TabIndex        =   0
      Top             =   30
      Width           =   6660
      Begin VB.Label LblMax 
         Alignment       =   2  'Center
         AutoSize        =   -1  'True
         BackColor       =   &H80000012&
         Caption         =   "Max"
         BeginProperty Font 
            Name            =   "Small Fonts"
            Size            =   6
            Charset         =   0
            Weight          =   400
            Underline       =   0   'False
            Italic          =   0   'False
            Strikethrough   =   0   'False
         EndProperty
         ForeColor       =   &H00FFFFFF&
         Height          =   150
         Left            =   225
         TabIndex        =   5
         Top             =   570
         Width           =   240
      End
      Begin VB.Label LblMin 
         Alignment       =   2  'Center
         AutoSize        =   -1  'True
         BackColor       =   &H80000012&
         Caption         =   "Min"
         BeginProperty Font 
            Name            =   "Small Fonts"
            Size            =   6
            Charset         =   0
            Weight          =   400
            Underline       =   0   'False
            Italic          =   0   'False
            Strikethrough   =   0   'False
         EndProperty
         ForeColor       =   &H00FFFFFF&
         Height          =   150
         Left            =   255
         TabIndex        =   4
         Top             =   2820
         Width           =   210
      End
      Begin VB.Label LblEstados 
         Alignment       =   1  'Right Justify
         AutoSize        =   -1  'True
         BackColor       =   &H00000000&
         Caption         =   "Estados"
         BeginProperty Font 
            Name            =   "Verdana"
            Size            =   8.25
            Charset         =   0
            Weight          =   400
            Underline       =   0   'False
            Italic          =   0   'False
            Strikethrough   =   0   'False
         EndProperty
         ForeColor       =   &H00FFFFFF&
         Height          =   195
         Left            =   5790
         TabIndex        =   3
         Top             =   3030
         Width           =   660
      End
      Begin VB.Label LblVariable 
         AutoSize        =   -1  'True
         BackColor       =   &H00000000&
         Caption         =   "Salida..."
         BeginProperty Font 
            Name            =   "Verdana"
            Size            =   6.75
            Charset         =   0
            Weight          =   400
            Underline       =   0   'False
            Italic          =   0   'False
            Strikethrough   =   0   'False
         EndProperty
         ForeColor       =   &H00FFFFFF&
         Height          =   180
         Left            =   90
         TabIndex        =   2
         Top             =   180
         Width           =   600
      End
      Begin VB.Label LblSecuencia 
         Alignment       =   2  'Center
         BackColor       =   &H00000000&
         BeginProperty Font 
            Name            =   "Verdana"
            Size            =   8.25
            Charset         =   0
            Weight          =   400
            Underline       =   0   'False
            Italic          =   0   'False
            Strikethrough   =   0   'False
         EndProperty
         ForeColor       =   &H0000C000&
         Height          =   195
         Left            =   60
         TabIndex        =   1
         Top             =   90
         Width           =   6480
      End
   End
End
Attribute VB_Name = "FrmSecuenciaSalida"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit
'---------------------------------------------------
' --- DECLARACIN DE VARIABLES ---
'---------------------------------------------------
Dim IdS As Integer
Dim TempSecuencia  As T_SECUENCIA
Dim Valores() As Double
Dim Estados(NUM_ESTADOS - 1) As Double
Dim Min As Double, Max As Double


'*********************************************************************************
' PROPIEDAD: IdSntrada() -> Devuelve o establece el identificador de Salida
'                           asocidado a cada formulario tipo FrmSalida.
'*********************************************************************************
Public Property Get IdSalida() As Integer
  IdSalida = IdS
End Property

Public Property Let IdSalida(NewIdS As Integer)
  IdS = NewIdS
End Property


                                            '===========================================================
                                            '                PROCEDIMIENTOS DE EVENTO
                                            '===========================================================
'-------------------------------------------------
' EVENTOS EN FORMULARIO
'-------------------------------------------------
Private Sub Form_Activate()
   Dim I As Integer
  
   FrmPosicionarConRespectoMDI Me, Centrado
  
   Valores() = SistActual.Salida(IdS).VCrisp()
   Min = SistActual.Salida(IdS).UnivDiscurso(0) + EPSILON
   Max = SistActual.Salida(IdS).UnivDiscurso(1) - EPSILON
   With LstValores
      .Clear
      For I = 1 To NUM_ESTADOS
        .AddItem "V(" & I & ") = " & Round(Valores(I), NUMDEC)
      Next I
   End With
    
    
    Estados(0) = 0#
    For I = 1 To NUM_ESTADOS - 1
      Estados(I) = Estados(I - 1) + (1 / (NUM_ESTADOS - 1))
    Next I
    
    Dibujar_Secuencia Min, Max, Estados(), Valores(), vbGreen, 2, PBoxGrafico
    LblVariable.Caption = Trim$(SistActual.Salida(IdS).Nombre) & " [" & Trim$(SistActual.Salida(IdS).UndSigla) & "]"
    LblMin.Caption = Round(SistActual.Salida(IdS).UnivDiscurso(0) + EPSILON, NUMDEC)
    LblMax.Caption = Round(SistActual.Salida(IdS).UnivDiscurso(1) - EPSILON, NUMDEC)
    LblEstados.Caption = "Estados: " & NUM_ESTADOS
    
End Sub


Private Sub Form_QueryUnload(Cancel As Integer, UnloadMode As Integer)
  Select Case UnloadMode 'Posibles causas de querer descargar
      
      Case vbFormControlMenu  'EL USUARIO ELIGI EL COMANDO CERRAR DEL MEN CONTROL
                              'DEL FORMULARIO, ES DECIR, LA _ [] X (la x)
                              
        If Not CargadaVentanaCalculoSecuencias Then
          VentanaSalida(QVentanaSalidaTieneLaSalida(IdS)).ActualizarMe
        End If
        Me.Hide
        
      Case vbFormCode         'SE INVOC LA INSTRUCCIN UNLOAD DESDE EL CDIGO
      
      Case vbAppWindows       'LA SESIN ACTUAL DEL ENTORNO OPERATIVO MICROSOFT EST FINALIZANDO
      
      Case vbAppTaskManager   'ADMINISTRADOR DE TAREAS DE WINDOWS EST CERRANDO LA APLICACIN
      
      Case vbFormMDIForm      'UN FORMULARIO MDI SECUNDARIO SE EST CERRANDO PQ EL FORMULARIO MDI TAMBIN SE EST CERRANDO
      
      Case vbFormOwner        'UN FORMULARIO SE EST CERRANDO PQ SU PROPIETARIO SE EST CERRANDO
    
  End Select
  
End Sub

Private Sub Form_Unload(Cancel As Integer)
  Set FrmSecuenciaSalida = Nothing
  
End Sub

'-------------------------------------------------
' EVENTOS EN BOTONES
'-------------------------------------------------
Private Sub LstValores_Click()
  
  TxtValor.Text = Round(Valores(LstValores.ListIndex + 1), NUMDEC)
  PBoxGrafico.Cls
  Dibujar_Secuencia Min, Max, Estados(), Valores(), vbGreen, 2, PBoxGrafico, True, Estados(LstValores.ListIndex), Valores(LstValores.ListIndex + 1)
  
End Sub





