VERSION 5.00
Object = "{F9043C88-F6F2-101A-A3C9-08002B2F49FB}#1.2#0"; "COMDLG32.OCX"
Object = "{0D452EE1-E08F-101A-852E-02608C4D0BB4}#2.0#0"; "FM20.DLL"
Begin VB.Form FrmSecuenciaTabla 
   BorderStyle     =   1  'Fixed Single
   Caption         =   " Tabla de valores"
   ClientHeight    =   3990
   ClientLeft      =   45
   ClientTop       =   330
   ClientWidth     =   8955
   Icon            =   "FrmSecuenciaTabla.frx":0000
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   3990
   ScaleWidth      =   8955
   StartUpPosition =   3  'Windows Default
   Begin VB.ListBox LstSalidas 
      BeginProperty Font 
         Name            =   "Verdana"
         Size            =   8.25
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   2985
      Left            =   5460
      TabIndex        =   6
      Top             =   330
      Width           =   3450
   End
   Begin VB.ListBox LstEntradas 
      BeginProperty Font 
         Name            =   "Verdana"
         Size            =   8.25
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   2985
      Left            =   1950
      TabIndex        =   5
      Top             =   330
      Width           =   3450
   End
   Begin VB.ListBox LstEstados 
      BeginProperty Font 
         Name            =   "Verdana"
         Size            =   8.25
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   2985
      Left            =   60
      TabIndex        =   4
      Top             =   330
      Width           =   1830
   End
   Begin MSComDlg.CommonDialog CdlGuardar 
      Left            =   7830
      Top             =   3450
      _ExtentX        =   847
      _ExtentY        =   847
      _Version        =   393216
      CancelError     =   -1  'True
   End
   Begin MSForms.CommandButton BotHtml 
      Height          =   555
      Left            =   1455
      TabIndex        =   3
      Top             =   3390
      Width           =   6030
      Caption         =   "   Generar tabla de valores en formato html..."
      PicturePosition =   327683
      Size            =   "10636;979"
      Picture         =   "FrmSecuenciaTabla.frx":014A
      FontName        =   "Verdana"
      FontHeight      =   165
      FontCharSet     =   0
      FontPitchAndFamily=   2
      ParagraphAlign  =   3
   End
   Begin MSForms.Label Label1 
      Height          =   195
      Left            =   548
      TabIndex        =   2
      Top             =   60
      Width           =   855
      VariousPropertyBits=   276824091
      Caption         =   "ESTADOS"
      PicturePosition =   327683
      Size            =   "1508;344"
      FontName        =   "Verdana"
      FontEffects     =   1073741828
      FontHeight      =   165
      FontCharSet     =   0
      FontPitchAndFamily=   2
   End
   Begin MSForms.Label LblEntradas 
      Height          =   195
      Left            =   2670
      TabIndex        =   1
      Top             =   60
      Width           =   2010
      Caption         =   "VALORES DE ENTRADA"
      PicturePosition =   327683
      Size            =   "3545;344"
      FontName        =   "Verdana"
      FontEffects     =   1073741828
      FontHeight      =   165
      FontCharSet     =   0
      FontPitchAndFamily=   2
   End
   Begin MSForms.Label LblSalidas 
      Height          =   195
      Left            =   6263
      TabIndex        =   0
      Top             =   60
      Width           =   1845
      VariousPropertyBits=   276824091
      Caption         =   "VALORES DE SALIDA"
      PicturePosition =   327683
      Size            =   "3254;344"
      FontName        =   "Verdana"
      FontEffects     =   1073741828
      FontHeight      =   165
      FontCharSet     =   0
      FontPitchAndFamily=   2
   End
End
Attribute VB_Name = "FrmSecuenciaTabla"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit
Dim ActualEstado As Integer

'************************************************************************************************************
'   FUNCIN : GenerarTabla()
'
'       OBJETIVO:
'
'************************************************************************************************************
Private Sub GenerarTabla(RutaNombre As String)
  Dim nFile As Integer, I As Integer, j As Integer
  
  nFile = FreeFile
  Open RutaNombre For Output As #nFile
  
  Print #nFile, "<html>"
  Print #nFile, "<head><title>" & RutaNombre & "</title></head>"
  Print #nFile, "<body BGCOLOR=""##404040"" TEXT=""##FFFFFF"">"
  Print #nFile, "<center><h1>TABLA DE SECUENCA DE VALORES DE E/S</h1>"
  Print #nFile, "<h2><b><center>" & SIGLA & " - " & SIGLA_INGLES & "<b></h2></<center>"
  Print #nFile, "<h2><b><center>" & Trim$(SistActual.Titulo) & "<b></h2></<center>"
  Print #nFile, "<center>"
  Print #nFile, "<font size=-1>"
  Print #nFile, "<table BORDER=4>"
  
  Print #nFile, "<tr><th><right>ESTADO:                                             ";
  'FILA DE CABECERA DE LA TABLA <ESTADO: 1 2 3 4 5 6 ...>
  For I = 1 To NUM_ESTADOS
    Print #nFile, "<th><center>" & I;
  Next I
  
  'FILAS DE VARIABLES DE ENTRADA <E(n) Nombre [Unds]:>
  For I = 0 To NEntradas - 1
    If SistActual.Entrada(I).Activa = Si Then
      Print #nFile, "<tr><td><center>E(" & I & ") " & Trim$(SistActual.Entrada(I).Nombre) & " [" & Trim$(SistActual.Entrada(I).UndSigla) & "]:";
      For j = 1 To NUM_ESTADOS
        Print #nFile, "<td><center>" & Round(SistActual.Entrada(I).VCrisp(j), NUMDEC);
      Next j
    End If
  Next I
  
  'FILAS DE VARIABLES DE SALIDA <S(n) Nombre [Unds]:>
  For I = 0 To NSalidas - 1
    If SistActual.Salida(I).Activa = Si Then
      Print #nFile, "<tr><td><center>S(" & I & ") " & Trim$(SistActual.Salida(I).Nombre) & " [" & Trim$(SistActual.Salida(I).UndSigla) & "]:" & "</center>";
      For j = 1 To NUM_ESTADOS
        Print #nFile, "<td><center>" & Round(SistActual.Salida(I).VCrisp(j), NUMDEC) & "</center>";
      Next j
    End If
  Next I
  
  Print #nFile, "</table>"
  Print #nFile, ""
  Print #nFile, "<p>Datos obtenidos de:</p>"
  Print #nFile, "<p>                    " & Trim$(ArchivoActual.Nombre) & "</p>"
  Print #nFile, "<p>                    " & NEntradas & " VARIABLES DE ENTRADA (" & NEntradasActivas & " ACTIVAS / " & NEntradasPasivas & " PASIVAS)" & "</p>"
  Print #nFile, "<p>                    " & NSalidas & " VARIABLES DE SALIDA (" & NSalidasActivas & " ACTIVAS / " & NSalidasPasivas & " PASIVAS)" & "</p>"
  Print #nFile, "<p>                    " & NReglas & " REGLAS (" & NReglasActivas & " ACTIVAS / " & NReglasSemiActivas & " SEMIACTIVAS / " & NReglasPasivas & " PASIVAS)" & "</p>"
  Print #nFile, "<p>                    " & "OPERADOR COMPARACIN: " & QNorma(SistActual.Inferencia.OpDifuminacion.TipoNorma) & "</p>"
  Print #nFile, "<p>                    " & "OPERADOR AND: " & QNorma(SistActual.Inferencia.OpAnd.TipoNorma) & "</p>"
  Print #nFile, "<p>                    " & "OPERADOR OR: " & QNorma(SistActual.Inferencia.OpOr.TipoNorma) & "</p>"
  Print #nFile, "<p>                    " & "OPERADOR AGREGACIN: " & QNorma(SistActual.Inferencia.OpAgregacion.TipoNorma) & "</p>"
  Print #nFile, "<p>                    " & "OPERADOR IMPLICACIN: " & QImplicacion(SistActual.Inferencia.OpImplicacion) & "</p>"
  Print #nFile, "<p>                    " & Format$(Now, "ddd, dd-mmm-yy") & "</p>"
  Print #nFile, "</font>"
  Print #nFile, "</html>"
  
  Close #nFile
  
End Sub


'************************************************************************************************************
'   FUNCIN : GuardarTabla()
'
'       OBJETIVO: Establecer la secuencia de pasos necesarios para el almacenamiento de datos en un fichero.
'
'       P.ENTRADA: (1) Ruta del fichero que por defecto se indicar al guardar como...
'                  (2) Nombre del fichero por defecto que ser el nombre que establezca el usuario
'
'       P.SALIDA: La cadena (ruta y nombre fichero) de ubicacin del archivo establecido
'                 por el usuario a travs del CommonDialog (CdlAbrirGuardar)
'
'       NOTA: Se devolver cadena vacia ("") en el caso de cancelar la operacin de guardar como...
'
'************************************************************************************************************
Private Function GuardarTabla(ByVal RutaficheroDefecto As String, _
                                ByVal NombreficheroDefecto As String) As String
  'En el caso de que el usuario cancele la operacin de Guardar como... al pulsar Cancel
  '(IMPORTANTE, si est la propiedad del control Commondialog.CancelError = True) se producir un error.
  'Para devolver cadena vacia, se establece una rutina de salida (Salir:)
  On Error GoTo Salir
  'ESTABLECIMIENTO DE PROPIEDADES DEL CONTROL COMMONDIALOG (CdlAbrirGuardar)
  With FrmSecuenciaTabla.CdlGuardar
    .FileName = NombreficheroDefecto
    'PROPIEDADES COMUNES EN AMBOS CASOS
    'Iniciar el cuadro de apertura de archivos en la carpeta por defecto
    .InitDir = RutaficheroDefecto
    'cdlOFNOverwritePrompt &H2  Hace que el cuadro de dilogo Guardar como genere un cuadro de mensajes si
    'el archivo seleccionado ya existe. El usuario debe confirmar si desea sobrescribir el archivo.
    'cdlOFNHideReadOnly &H4  Oculta lacasilla de verificacin Slo lectura.
    .Flags = cdlOFNHideReadOnly + cdlOFNOverwritePrompt
    .Filter = "Archivos de HTML (*." & "HTML" & ")|*." & "HTML"
    'Establece ttulo personalizado para el cuadro dilogo
    .DialogTitle = "Guardar " & "Tabla de valores en formato HTML" & " como..."
    'Control CommonDialog en modo guardar de ficheros
    .ShowSave
    GuardarTabla = .FileName
  End With
  'La funcin debe terminar aqu sino queremos entrar en el bloque de rutina en caso de error aunque
  'este no se haya producido
  Exit Function
Salir:
  Exit Function
    
End Function

Private Sub Form_Load()
  Dim I As Integer
  
  FrmPosicionarConRespectoMDI Me, Centrado
  
  With LstEstados
    .Clear
    For I = 1 To NUM_ESTADOS
      .AddItem "ESTADO [" & I & "]"
    Next I
  End With
  ActualEstado = 0
  LstEstados.Selected(0) = True
  
  With LstEntradas
    .Clear
    For I = 0 To NEntradas - 1
      If SistActual.Entrada(I).Activa = Si Then
        .AddItem Trim$(SistActual.Entrada(I).Nombre) & " (" & Round(SistActual.Entrada(I).VCrisp(ActualEstado), NUMDEC) & ") [" & Trim$(SistActual.Entrada(I).UndSigla) & "]"
      End If
    Next I
  End With
  
  With LstSalidas
    .Clear
    For I = 0 To NSalidas - 1
      If SistActual.Salida(I).Activa = Si Then
        .AddItem Trim$(SistActual.Salida(I).Nombre) & " (" & Round(SistActual.Salida(I).VCrisp(ActualEstado), NUMDEC) & ") [" & Trim$(SistActual.Salida(I).UndSigla) & "]"
      End If
    Next I
  End With
  
End Sub


Private Sub LstEstados_Click()
  Dim I As Integer
  ActualEstado = LstEstados.ListIndex + 1
  
  With LstEntradas
    .Clear
    For I = 0 To NEntradas - 1
      If SistActual.Entrada(I).Activa = Si Then
        .AddItem Trim$(SistActual.Entrada(I).Nombre) & " (" & Round(SistActual.Entrada(I).VCrisp(ActualEstado), NUMDEC) & ") [" & Trim$(SistActual.Entrada(I).UndSigla) & "]"
      End If
    Next I
  End With
  
  With LstSalidas
    .Clear
    For I = 0 To NSalidas - 1
      If SistActual.Salida(I).Activa = Si Then
        .AddItem Trim$(SistActual.Salida(I).Nombre) & " (" & Round(SistActual.Salida(I).VCrisp(ActualEstado), NUMDEC) & ") [" & Trim$(SistActual.Salida(I).UndSigla) & "]"
      End If
    Next I
  End With
  
End Sub

Private Sub BotHtml_Click()
  Dim RutaNombre As String
  Dim ReturnValue
  
  RutaNombre = GuardarTabla(App.Path, "Tabla")
  If RutaNombre = "" Then Exit Sub
  
  GenerarTabla RutaNombre
   
  ReturnValue = Shell("Explorer.exe " & RutaNombre, 1)
  EsperarTerminarProgramaExternoShell "Explorer.exe " & RutaNombre
  
End Sub

