VERSION 5.00
Object = "{831FDD16-0C5C-11D2-A9FC-0000F8754DA1}#2.0#0"; "MSCOMCTL.OCX"
Object = "{0D452EE1-E08F-101A-852E-02608C4D0BB4}#2.0#0"; "FM20.DLL"
Begin VB.Form FrmReglasOrganizar 
   BorderStyle     =   3  'Fixed Dialog
   Caption         =   "Organizador de Reglas"
   ClientHeight    =   3165
   ClientLeft      =   45
   ClientTop       =   1470
   ClientWidth     =   9405
   ClipControls    =   0   'False
   Icon            =   "FrmReglasOrganizar.frx":0000
   LinkTopic       =   "Form1"
   LockControls    =   -1  'True
   MaxButton       =   0   'False
   MinButton       =   0   'False
   Picture         =   "FrmReglasOrganizar.frx":014A
   ScaleHeight     =   3165
   ScaleWidth      =   9405
   ShowInTaskbar   =   0   'False
   Begin MSComctlLib.ImageList Iconos 
      Left            =   2790
      Top             =   900
      _ExtentX        =   1005
      _ExtentY        =   1005
      BackColor       =   -2147483643
      ImageWidth      =   16
      ImageHeight     =   16
      MaskColor       =   12632256
      _Version        =   393216
      BeginProperty Images {2C247F25-8591-11D1-B16A-00C0F0283628} 
         NumListImages   =   4
         BeginProperty ListImage1 {2C247F27-8591-11D1-B16A-00C0F0283628} 
            Picture         =   "FrmReglasOrganizar.frx":0294
            Key             =   "Pasiva"
         EndProperty
         BeginProperty ListImage2 {2C247F27-8591-11D1-B16A-00C0F0283628} 
            Picture         =   "FrmReglasOrganizar.frx":03F0
            Key             =   "NADA"
         EndProperty
         BeginProperty ListImage3 {2C247F27-8591-11D1-B16A-00C0F0283628} 
            Picture         =   "FrmReglasOrganizar.frx":054C
            Key             =   "Activa"
         EndProperty
         BeginProperty ListImage4 {2C247F27-8591-11D1-B16A-00C0F0283628} 
            Picture         =   "FrmReglasOrganizar.frx":06A8
            Key             =   "Semi-Activa"
         EndProperty
      EndProperty
   End
   Begin MSComctlLib.ListView LstReglas 
      CausesValidation=   0   'False
      Height          =   3105
      Left            =   30
      TabIndex        =   0
      Top             =   30
      Width           =   8760
      _ExtentX        =   15452
      _ExtentY        =   5477
      View            =   3
      LabelEdit       =   1
      LabelWrap       =   -1  'True
      HideSelection   =   -1  'True
      _Version        =   393217
      Icons           =   "Iconos"
      SmallIcons      =   "Iconos"
      ColHdrIcons     =   "Iconos"
      ForeColor       =   -2147483640
      BackColor       =   -2147483643
      BorderStyle     =   1
      Appearance      =   1
      BeginProperty Font {0BE35203-8F91-11CE-9DE3-00AA004BB851} 
         Name            =   "Small Fonts"
         Size            =   6.75
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      NumItems        =   0
   End
   Begin MSForms.CommandButton BotBajar 
      Height          =   405
      Left            =   8880
      TabIndex        =   2
      Top             =   1770
      Width           =   495
      PicturePosition =   262148
      Size            =   "873;714"
      Picture         =   "FrmReglasOrganizar.frx":0804
      FontHeight      =   165
      FontCharSet     =   0
      FontPitchAndFamily=   2
      ParagraphAlign  =   3
   End
   Begin MSForms.CommandButton BotSubir 
      Height          =   405
      Left            =   8880
      TabIndex        =   1
      Top             =   1035
      Width           =   495
      PicturePosition =   262148
      Size            =   "873;714"
      Picture         =   "FrmReglasOrganizar.frx":0C56
      FontHeight      =   165
      FontCharSet     =   0
      FontPitchAndFamily=   2
      ParagraphAlign  =   3
   End
End
Attribute VB_Name = "FrmReglasOrganizar"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

'---------------------------------
' --- DECLARACIN DE VARIABLES ---
'---------------------------------
Dim TempRegla As TBCONOCIMIENTO
Dim RegSel As Integer

'**************************************************************************************************
'   FUNCIN: IdRegla()
'**************************************************************************************************
Private Function IdRegla() As Integer
  IdRegla = Right(LstReglas.SelectedItem.Key, Len(LstReglas.SelectedItem.Key) - 1)
End Function

'**************************************************************************************************
'   PROCEDIMIENTO: ActualizarReglas()
'**************************************************************************************************
Private Sub ActualizarReglas()
  Dim I As Integer
  Dim Estado As String, Expresion As String
  
  With LstReglas.ListItems
    .Clear
    For I = 0 To NReglas - 1
      Expresion = ExpresionRegla(I)
      Estado = QEstado(Regla, I)
      .Add , "R" & I, "R[" & I & "]: " & Expresion, Estado, Estado
    Next I
  End With
  
End Sub

                                            '===========================================================
                                            '                PROCEDIMIENTOS DE EVENTO
                                            '===========================================================
Private Sub Form_Load()
  FrmPosicionar Me, Centrado
  
  'Se aade una columna para que se pueda visualizar en modo report (lista) aunque esta se oculte.
  With LstReglas.ColumnHeaders
   .Clear
   .Add , "REGLAS", "- Lista de Reglas en Base de Conocimiento - ", LstReglas.Width, , "NADA"
  End With
  
  ActualizarReglas
  
End Sub

Private Sub Form_Unload(Cancel As Integer)
  Set FrmReglasOrganizar = Nothing
End Sub

Private Sub LstReglas_ItemClick(ByVal Item As MSComctlLib.ListItem)
  Item.Selected = True
  Set LstReglas.SelectedItem = Item
  
End Sub

Private Sub BotBajar_Click()
  RegSel = IdRegla
  If RegSel = NReglas - 1 Then Exit Sub
  
  TempRegla = SistActual.Regla(RegSel + 1)
  SistActual.Regla(RegSel + 1) = SistActual.Regla(RegSel)
  SistActual.Regla(RegSel) = TempRegla
  
  ActualizarReglas
  Set LstReglas.SelectedItem = LstReglas.ListItems("R" & RegSel + 1)
  LstReglas.SelectedItem.Bold = True
  
End Sub

Private Sub BotSubir_Click()
  RegSel = IdRegla
  If RegSel = 0 Then Exit Sub
  
  TempRegla = SistActual.Regla(RegSel - 1)
  SistActual.Regla(RegSel - 1) = SistActual.Regla(RegSel)
  SistActual.Regla(RegSel) = TempRegla
  
  ActualizarReglas
  Set LstReglas.SelectedItem = LstReglas.ListItems("R" & RegSel - 1)
  LstReglas.SelectedItem.Bold = True
  
End Sub
