Attribute VB_Name = "Resources"
'-------------------------------------------------------------------------------------------------------
'                                  ## MDULO DE CDIGO: RESOURCES.BAS ##
'
' OBJETIVO: Contiene los identificadores necesarios de los distintos recursos disponibles en el
'           fichero "RECURSOS.RES".
'-------------------------------------------------------------------------------------------------------

Option Explicit


' ------- ICONOS -------
Public Const ICO_SCD = "A"
Public Const ICO_ENT_PASIVA = "ENTRADA_PASIVA"
Public Const ICO_ENT_ACTIVA = "ENTRADA_ACTIVA"
Public Const ICO_ENTRADA = "ENTRADA"
Public Const ICO_NUEVA_E = "NUEVA_ENTRADA"

Public Const ICO_SAL_PASIVA = "SALIDA_PASIVA"
Public Const ICO_SAL_ACTIVA = "SALIDA_ACTIVA"
Public Const ICO_SALIDA = "SALIDA"
Public Const ICO_NUEVA_S = "NUEVA_SALIDA"

Public Const ICO_ANTECEDENTE = "ANTECEDENTE"
Public Const ICO_CONSECUENTE = "CONSECUENTE"
Public Const ICO_CONST_ANTECEDENTE = "CONSTRUCTOR_ANTECEDENTE"
Public Const ICO_CONST_CONSECUENTE = "CONSTRUCTOR_CONSECUENTE"

Public Const ICO_REG_PASIVA = "REGLA_PASIVA"
Public Const ICO_REG_SEMIACTIVA = "REGLA_SEMIACTIVA"
Public Const ICO_REG_ACTIVA = "REGLA_ACTIVA"

Public Const ICO_ELIMINAR_ENTRADA = "ELIMINAR_ENTRADA"
Public Const ICO_ELIMINAR_SALIDA = "ELIMINAR_SALIDA"

' ------- IMGENES (MAPA BITS) -------

Public Const MB_SN_F_DUBOISPRADE = "SN_FAMILIA_DUBOIS_PRADE"
Public Const MB_SN_F_FRANK = "SN_FAMILIA_FRANK"
Public Const MB_SN_F_SUGENO = "SN_FAMILIA_SUGENO"
Public Const MB_SN_F_YAGER = "SN_FAMILIA_YAGER"
Public Const MB_SN_MAXIMO = "SN_MAXIMO"
Public Const MB_SN_SUMA_ACOTADA = "SN_SUMA_ACOTADA"
Public Const MB_SN_SUMA_DRASTICA = "SN_SUMA_DRASTICA"
Public Const MB_SN_SUMA_PRODUCTO = "SN_SUMA_PRODUCTO"

Public Const MB_TN_F_DUBOISPRADE = "TN_FAMILIA_DUBOIS_PRADE"
Public Const MB_TN_F_FRANK = "TN_FAMILIA_FRANK"
Public Const MB_TN_F_YAGER = "TN_FAMILIA_YAGER"
Public Const MB_TN_MINIMO = "TN_MINIMO"
Public Const MB_TN_PRODUCTO = "TN_PRODUCTO"
Public Const MB_TN_PRODUCTO_ACOTADO = "TN_PRODUCTO_ACOTADO"
Public Const MB_TN_PRODUCTO_DRASTICO = "TN_PRODUCTO_DRASTICO"
Public Const MB_TN_PRODUCTO_EINSTEIN = "TN_PRODUCTO_EINSTEIN"
Public Const MB_TN_PRODUCTO_HAMACHER = "TN_PRODUCTO_HAMACHER"

Public Const MB_D_COG = "COG"
Public Const MB_D_COG_M_AL = "COG_M_AL"
Public Const MB_D_COG_M_AR = "COG_M_AR"
Public Const MB_D_COG_P_AL = "COG_P_AL"
Public Const MB_D_COG_P_AR = "COG_P_AR"
Public Const MB_D_COG_V_IM = "COG_V_IM"

Public Const MB_D_PMC_M_AL = "PMC_M_AL"
Public Const MB_D_PMC_M_AR = "PMC_M_AR"
Public Const MB_D_PMC_MED = "PMC_MED"
Public Const MB_D_PMC_MED_MAX = "PMC_MED_MAX"
Public Const MB_D_PMC_MED_MINMAX = "PMC_MED_MINMAX"
Public Const MB_D_PMC_P_AL = "PMC_P_AL"
Public Const MB_D_PMC_P_AR = "PMC_P_AR"
Public Const MB_D_PMC_PMAX = "PMC_PMAX"
Public Const MB_D_PMC_UMAX = "PMC_UMAX"

Public Const MB_D_COA = "COA"
Public Const MB_D_COA_V_IM = "COA_V_IM"
